Debian Bug report logs - #409924
does not ship anything related to kerberos or smb authentification

version graph

Package: libauthen-simple-perl; Maintainer for libauthen-simple-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libauthen-simple-perl is src:libauthen-simple-perl.

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Tue, 6 Feb 2007 12:18:02 UTC

Severity: important

Found in version libauthen-simple-perl/0.4-1

Fixed in version libauthen-simple-perl/0.4-2

Done: Xavier Oswald <x.oswald@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: submit@bugs.debian.org
Subject: does not ship anything related to kerberos or smb authentification
Date: Tue, 6 Feb 2007 13:01:25 +0100
Package: libauthen-simple-perl
Version: 0.4-1
Severity: important

hi,

according to its package description this package ships Authentification
Modules for Kerberos and SMB. This is wrong. The Package should depend
on the non-packaged Authen::Simple::Kerberos:
 
 http://search.cpan.org/~chansen/Authen-Simple-Kerberos-0.1/

and Authen::Simple::SMB Modules:

 http://search.cpan.org/~chansen/Authen-Simple-SMB-0.1/

either adjust the description (and Examples/README Files)  accordingly
or package the above mentioned modules in order to provide this
functionality.

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 409924@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: 409924@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Tue, 6 Feb 2007 17:05:31 +0100
[Message part 1 (text/plain, inline)]
On Tue, 06 Feb 2007 13:01:25 +0100, Michael Ablassmeier wrote:

> according to its package description this package ships Authentification
> Modules for Kerberos and SMB. This is wrong. The Package should depend
> on the non-packaged Authen::Simple::Kerberos:
>  
>  http://search.cpan.org/~chansen/Authen-Simple-Kerberos-0.1/
> 
> and Authen::Simple::SMB Modules:
> 
>  http://search.cpan.org/~chansen/Authen-Simple-SMB-0.1/
> 
> either adjust the description (and Examples/README Files)  accordingly
> or package the above mentioned modules in order to provide this
> functionality.

After a quick look at the packages it seems that:
* the description of libauthen-simple-perl should be adjusted (either
  shortened or extended to all possible Authen::Simple adapters)
* the "depends:" should list libauthen-simple-FOO-perl |
  libauthen-simple-BAR-perl | ... (or "suggests:"? "recommends:"?)
  I'd go for "recommends:" because the other packages are not
  thecnically necessary but libauthen-simple-perl is useless without
  them
* currently we have 5 adapters in the svn repository:
  libauthen-simple-http-perl, libauthen-simple-pam-perl, 
  libauthen-simple-kerberos-perl, libauthen-simple-passwd-perl, 
  libauthen-simple-smb-perl
* one of them (libauthen-simple-kerberos-perl) is not uploaded to the
  archive

For the time being I've changed the long description and added the
Recommends: field in svn.
  
Any thoughts?

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: ACDC: It's a long way to the top
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 409924@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: gregor herrmann <gregor+debian@comodo.priv.at>, 409924@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Tue, 6 Feb 2007 17:13:51 +0100
hi,

On Tue, Feb 06, 2007 at 05:05:31PM +0100, gregor herrmann wrote:
> On Tue, 06 Feb 2007 13:01:25 +0100, Michael Ablassmeier wrote:
> 
> > according to its package description this package ships Authentification
> > Modules for Kerberos and SMB. This is wrong. The Package should depend
> > on the non-packaged Authen::Simple::Kerberos:
> >  
> >  http://search.cpan.org/~chansen/Authen-Simple-Kerberos-0.1/
> > 
> > and Authen::Simple::SMB Modules:
> > 
> >  http://search.cpan.org/~chansen/Authen-Simple-SMB-0.1/
> > 
> > either adjust the description (and Examples/README Files)  accordingly
> > or package the above mentioned modules in order to provide this
> > functionality.
> 
> After a quick look at the packages it seems that:
> * the description of libauthen-simple-perl should be adjusted (either
>   shortened or extended to all possible Authen::Simple adapters)
> * the "depends:" should list libauthen-simple-FOO-perl |
>   libauthen-simple-BAR-perl | ... (or "suggests:"? "recommends:"?)
>   I'd go for "recommends:" because the other packages are not
>   thecnically necessary but libauthen-simple-perl is useless without
>   them
> * currently we have 5 adapters in the svn repository:
>   libauthen-simple-http-perl, libauthen-simple-pam-perl, 
>   libauthen-simple-kerberos-perl, libauthen-simple-passwd-perl, 
>   libauthen-simple-smb-perl
> * one of them (libauthen-simple-kerberos-perl) is not uploaded to the
>   archive
> 
> For the time being I've changed the long description and added the
> Recommends: field in svn.
>   
> Any thoughts?

yep, that should do the job. Sorry for the noise regarding Authen::Simple::SMB
which does indeed already exist. Is there any reason for
Authen::Simple::Kerberos for not beeing uploaded yet?

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 409924@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Michael Ablassmeier <abi@grinser.de>
Cc: 409924@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Tue, 6 Feb 2007 17:16:18 +0100
[Message part 1 (text/plain, inline)]
On Tue, 06 Feb 2007 17:13:51 +0100, Michael Ablassmeier wrote:

> > For the time being I've changed the long description and added the
> > Recommends: field in svn.
> > Any thoughts?
> yep, that should do the job. 

Alright.

> Sorry for the noise regarding Authen::Simple::SMB
> which does indeed already exist. 

No problem.

> Is there any reason for
> Authen::Simple::Kerberos for not beeing uploaded yet?

I'm not sure, hopefully the original packager or someone else from
the Debian Perl Group will shed some light on the issue.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <x.oswald@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 409924@bugs.debian.org (full text, mbox):

From: Xavier Oswald <x.oswald@free.fr>
To: debian-perl@lists.debian.org
Cc: Michael Ablassmeier <abi@grinser.de>, 409924@bugs.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Thu, 8 Feb 2007 11:36:31 +0100
On 17:16 Tue 06 Feb     , gregor herrmann wrote:

Hi,

> On Tue, 06 Feb 2007 17:13:51 +0100, Michael Ablassmeier wrote:
> 
> > > For the time being I've changed the long description and added the
> > > Recommends: field in svn.
> > > Any thoughts?
> > yep, that should do the job. 
> 
> Alright.
> 
> > Sorry for the noise regarding Authen::Simple::SMB
> > which does indeed already exist. 
> 
> No problem.
> 
> > Is there any reason for
> > Authen::Simple::Kerberos for not beeing uploaded yet?
> 
> I'm not sure, hopefully the original packager or someone else from
> the Debian Perl Group will shed some light on the issue.

I began to work on kerberos, the problem is that Authen::Simple::Kerberos is
depending on Authen::Kerberos which is not in the archive and an other one if I
remember.  

Authen::Simple::Kerberos and Authen::Simple::SMB will come soon ;)
They are in my TODO list !

I hope to finish them next week

friendly,
-- 
  ,''`.  Xavier Oswald <x.oswald@free.fr>
 : :' :  GNU/LINUX Debian & Debian-Edu 
 `. `'   GnuPG Key ID 0x88BBB51E 
   `-    938D D715 6915 8860 9679  4A0C A430 C6AA 88BB B51E




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 409924@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Xavier Oswald <x.oswald@free.fr>
Cc: debian-perl@lists.debian.org, Michael Ablassmeier <abi@grinser.de>, 409924@bugs.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Thu, 8 Feb 2007 22:34:48 +0100
[Message part 1 (text/plain, inline)]
On Thu, 08 Feb 2007 11:36:31 +0100, Xavier Oswald wrote:

> Authen::Simple::Kerberos and Authen::Simple::SMB will come soon ;)

$ apt-cache policy libauthen-simple-smb-perl
libauthen-simple-smb-perl:
  Installed: (none)
  Candidate: 0.1-2
  Version table:
     0.1-2 0
        990 http://ftp.de.debian.org unstable/main Packages

At least the last one seems to be in unstable already.

gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Vic Chesnutt: Doubting Woman
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#409924; Package libauthen-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <x.oswald@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 409924@bugs.debian.org (full text, mbox):

From: Xavier Oswald <x.oswald@free.fr>
To: debian-perl@lists.debian.org
Cc: Xavier Oswald <x.oswald@free.fr>, Michael Ablassmeier <abi@grinser.de>, 409924@bugs.debian.org
Subject: Re: Bug#409924: does not ship anything related to kerberos or smb authentification
Date: Fri, 9 Feb 2007 02:12:48 +0100
On 22:34 Thu 08 Feb     , gregor herrmann wrote:
> On Thu, 08 Feb 2007 11:36:31 +0100, Xavier Oswald wrote:
> 
> > Authen::Simple::Kerberos and Authen::Simple::SMB will come soon ;)
> 
> $ apt-cache policy libauthen-simple-smb-perl
> libauthen-simple-smb-perl:
>   Installed: (none)
>   Candidate: 0.1-2
>   Version table:
>      0.1-2 0
>         990 http://ftp.de.debian.org unstable/main Packages
> 
> At least the last one seems to be in unstable already.

Yes, smb is in unstable, I just finished with the kerberos stuffs..
I will ping you tomorow with my two new perl modules ;)

friendly,
-- 
  ,''`.  Xavier Oswald <x.oswald@free.fr>
 : :' :  GNU/LINUX Debian & Debian-Edu 
 `. `'   GnuPG Key ID 0x88BBB51E 
   `-    938D D715 6915 8860 9679  4A0C A430 C6AA 88BB B51E




Reply sent to Xavier Oswald <x.oswald@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 409924-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <x.oswald@free.fr>
To: 409924-close@bugs.debian.org
Subject: Bug#409924: fixed in libauthen-simple-perl 0.4-2
Date: Mon, 19 Feb 2007 12:02:04 +0000
Source: libauthen-simple-perl
Source-Version: 0.4-2

We believe that the bug you reported is fixed in the latest version of
libauthen-simple-perl, which is due to be installed in the Debian FTP archive:

libauthen-simple-perl_0.4-2.diff.gz
  to pool/main/liba/libauthen-simple-perl/libauthen-simple-perl_0.4-2.diff.gz
libauthen-simple-perl_0.4-2.dsc
  to pool/main/liba/libauthen-simple-perl/libauthen-simple-perl_0.4-2.dsc
libauthen-simple-perl_0.4-2_all.deb
  to pool/main/liba/libauthen-simple-perl/libauthen-simple-perl_0.4-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 409924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <x.oswald@free.fr> (supplier of updated libauthen-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  9 Feb 2007 17:02:46 +0100
Source: libauthen-simple-perl
Binary: libauthen-simple-perl
Architecture: source all
Version: 0.4-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Oswald <x.oswald@free.fr>
Description: 
 libauthen-simple-perl - Simple and consistent perl framework for authentication
Closes: 409924
Changes: 
 libauthen-simple-perl (0.4-2) unstable; urgency=medium
 .
   [Xavier Oswald]
   * Add libauthen-simple-kerberos-perl as Recommends (closes: #409924)
 .
   [Gregor hermann]
   * Clarify the relation to other libauthen-simple-*-perl package by changing the description
     and adding a Recommends: field to debian/control.
   * Urgency set to medium because this upload fixes a bug of severity 'Important'.
Files: 
 5bfc3b0587519fa3cb6766b5798d0251 1110 perl optional libauthen-simple-perl_0.4-2.dsc
 9f85b0f6a26bce619b088a6d1b8d59f1 1883 perl optional libauthen-simple-perl_0.4-2.diff.gz
 b2ecb64642034bc4d6eabbef2b3efb5c 20330 perl optional libauthen-simple-perl_0.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF2Y21EFV7g4B8rCURAh6lAJ9Gm1x0jJTpHFA+r9lof70brT4ODQCgmT3a
65zwgXCKv2fSXcIciRaHCsQ=
=mbCR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:55:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:57:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.